## Shared module ##
Overview = require 'overview'

Overview.scaleForiPhone5 = 0.9

## EVENTS LISTS ##
eventsLists = [
	{
	color: Overview.green
	lists: [{
				title: "Tap & Double Tap"
				items: ["onTapStart", "onTapEnd", "onTap", "onDoubleTap"]
			}]
	}
	{
	color: Overview.purple
	lists: [{
				title: "Force Tap"
				items: ["onForceTapChange", "onForceTapStart", "onForceTap", "onForceTapEnd"]
			}]
	}
	{
	color: Overview.orange
	lists: [{
				title: "Long Press"
				items: ["onLongPressStart", "onLongPress", "onLongPressEnd"]
			}]
	}
]

Overview.makeEventsLists eventsLists

## Reflow for phones ##
Overview.reflow()

if Utils.isPhone() or (Framer.Device.deviceType.substring 0, 12) is "apple-iphone"
	layerA.size = 120
	if Screen.height < 667
		layerA.size = 100

## EVENTS ##
layerA.onTapStart ->
	Overview.alldots[0].stateSwitch "active"
	Overview.alldots[0].animate "default"

layerA.onTapEnd ->
	Overview.alldots[1].stateSwitch "active"
	Overview.alldots[1].animate "default"

layerA.onTap ->
	Overview.alldots[2].stateSwitch "active"
	Overview.alldots[2].animate "default"

layerA.onDoubleTap ->
	Overview.alldots[3].stateSwitch "active"
	Overview.alldots[3].animate "default"

layerA.onForceTapChange ->
	Overview.alldots[4].stateSwitch "active"
	Overview.alldots[4].animate "default"

layerA.onForceTapStart ->
	Overview.alldots[5].stateSwitch "active"
	Overview.alldots[5].animate "default"

layerA.onForceTap ->
	Overview.alldots[6].stateSwitch "active"
	Overview.alldots[6].animate "default"

layerA.onForceTapEnd ->
	Overview.alldots[7].stateSwitch "active"
	Overview.alldots[7].animate "default"

layerA.onLongPressStart ->
	Overview.alldots[8].stateSwitch "active"
	Overview.alldots[8].animate "default"

layerA.onLongPress ->
	Overview.alldots[9].stateSwitch "active"
	Overview.alldots[9].animate "default"

layerA.onLongPressEnd ->
	Overview.alldots[10].stateSwitch "active"
	Overview.alldots[10].animate "default"
